#define flex_Pin 12  // ESP32 pin GIOP12 (ADC1_0) connected to Potentiometer pin
#define LED_PIN 15  // ESP32 pin GIOP15 connected to LED's pin

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
  pinMode(flex_Pin, INPUT);
  pinMode(14, OUTPUT); // Serves as 3.3V source
  pinMode(LED_PIN, OUTPUT);
}
// the loop routine runs over and over again forever:
void loop() {
  digitalWrite(14,HIGH);
  int flexValue;
  flexValue = analogRead(flex_Pin);
  Serial.print("sensor: ");
  Serial.println(flexValue);
  delay(20);

  if(flexValue > 825) {
    digitalWrite(LED_PIN, HIGH);
  }
  else digitalWrite(LED_PIN, LOW);

} 